Package wx :: Class ProgressDialog

[frames | no frames]

## Type ProgressDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                                ProgressDialog

A dialog that shows a short message and a progress bar. Optionally, it can display an ABORT button.

# Window Styles

> wx.PD_APP_MODAL | Make the progress dialog modal. If this flag is not given, it is only "locally" modal - that is the input to the parent window is disabled, but not to the other ones.
> wx.PD_AUTO_HIDE | Causes the progress dialog to disappear from screen as soon as the maximum value of the progress meter has been reached.
> wx.PD_CAN_ABORT | This flag tells the dialog that it should have a "Cancel" button which the user may press. If this happens, the next call to Update() will return False in the first component of its return value.
> wx.PD_CAN_SKIP | This flag tells the dialog that it should have a "Skip" button which the user may press. If this happens, the next call to Update() will return True in the second component of its return value.
> wx.PD_ELAPSED_TIME | This flag tells the dialog that it should show elapsed time (since creating the dialog).
> wx.PD_ESTIMATED_TIME | This flag tells the dialog that it should show estimated time.
> wx.PD_REMAINING_TIME | This flag tells the dialog that it should show remaining time.
> wx.PD_SMOOTH | Uses the wx.GA_SMOOTH style on the embedded wx.Gauge widget.

Method Summary
ProgressDialog | ``__init__`(self, title, message, maximum, parent, style)` Constructor.
| ``Pulse`(*args, **kwargs)` Pulse(self, String newmsg) --> (continue, skip)
| ``Resume`(self)` Can be used to continue with the dialog, after the user had chosen to abort.
| ``Update`(*args, **kwargs)` Update(self, int value, String newmsg) --> (continue, skip)
| ``UpdatePulse`(*args, **kwargs)` Pulse(self, String newmsg) --> (continue, skip)

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, title, message, maximum=100, parent=None, style=wxPD_AUTO_HIDE|wxPD_APP_MODAL)
(Constructor)

Constructor. Creates the dialog, displays it and disables user input for other windows, or, if wx.PD_APP_MODAL flag is not given, for its parent window only.

  Parameters:
    `title`
    (type=String)

    `message`
    (type=String)

    `maximum`
    (type=int)

    `parent`
    (type=Window)

    `style`
    (type=int)

  Returns:
    ProgressDialog
  Overrides:
    `wx.Frame.__init__`

### Pulse(*args, **kwargs)

Pulse(self, String newmsg) --> (continue, skip)

Just like `Update` but switches the dialog to use a gauge in interminante mode and calls `wx.Gauge.Pulse` to show the user a bit of progress.

### Resume(self)

Can be used to continue with the dialog, after the user had chosen to abort.

### Update(*args, **kwargs)

Update(self, int value, String newmsg) --> (continue, skip)

Updates the dialog, setting the progress bar to the new value and, if given changes the message above it. The value given should be less than or equal to the maximum value given to the constructor and the dialog is closed if it is equal to the maximum. Returns a tuple of boolean values, `(continue, skip)` where `continue` is `True` unless the Cancel button has been pressed, and `skip` is `False` unless the Skip button (if any) has been pressed.

If the `continue` return value is `False`, the application can either immediately destroy the dialog or ask the user for confirmation, and if the abort is not confirmed the dialog may be resumed with `Resume` function.

  Overrides:
    `wx.Window.Update`

### UpdatePulse(*args, **kwargs)

Pulse(self, String newmsg) --> (continue, skip)

Just like `Update` but switches the dialog to use a gauge in interminante mode and calls `wx.Gauge.Pulse` to show the user a bit of progress.

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:47 2007 | http://epydoc.sf.net